#!/bin/bash

DG=/etc/dansguardian/dansguardian.conf
TP=/etc/tinyproxy/tinyproxy.conf
FH=/etc/firehol/firehol.conf
SQ=/etc/squid/squid.conf
SQ3=/etc/squid3/squid.conf
SQG=/etc/squid/squidGuard.conf 
SQG_DOMS=/var/lib/squidguard/db/weapons/domains
DG_LISTS=/etc/dansguardian/lists
DG_INI=/etc/init.d/dansguardian
FH_INI=/etc/default/firehol
TP_FILTER=/etc/tinyproxy/filter
FF_CFG=/usr/share/doc/firefox-3.0/firefox.cfg
FF_JS=/etc/firefox-3.0/pref/firefox.js

FF_JS1=/etc/firefox/pref/firefox.js
FF_JS2=/etc/firefox-3.0/pref/firefox.js
FF_JS3=/opt/swiftfox/defaults/pref/firefox.js
FF_JS4=/usr/lib/firefox-3.0.3/defaults/preferences/firefox.js

FF_CFG1=/usr/lib/firefox/firefox.cfg
FF_CFG2=/usr/lib/firefox-3.0b5/firefox.cfg.20080502
FF_CFG3=/usr/lib/firefox-3.0b5/firefox.cfg~
FF_CFG4=/usr/share/doc/firefox-3.0/firefox.cfg

if [ $# -ne 1 ]
then
	echo "usage : $0 <filename>"
	exit 0
fi

DIR=$(dirname "$1")
filename=$DIR/$(basename "$1" .dgs.full).dgs.full

echo "Running from $(pwd)"
echo "exporting as $filename"
tar -Pczvf "$filename" $DG $TP $FH $SQ $SQ3 $SQG $SQG_DOMS $DG_LISTS $DG_INI $FH_INI $TP_FILTER $FF_CFG $FF_JS $FF_CFG1 $FF_JS1 $FF_CFG2 $FF_JS2 $FF_CFG3 $FF_JS3 $FF_CFG4 $FF_JS4
