#!/bin/bash

if [ $# -ne 2 ]
then
	echo "usage : $0 <user> <group>"
	exit 0 
fi
group=$2
username=$1

grouplist=`id -nG $username | sed -e 's/'$group'//g' -e 's/ \+/,/g' -e 's/^,//' -e 's/,$//'`
sudo usermod -G $grouplist $username
